For the complete documentation index, see llms.txt. This page is also available as Markdown.

Query General

Methods related querying general information such as enum values

Query enumeration values

post
Header parameters
SessKeystringRequired

A unique session key used for authentication in API calls. This key is generated upon successful authentication and must be included in all subsequent requests.

Example: A1842D663E9A4A72XXXXXXXX303541303234373138
Content-TypestringRequiredExample: application/json
AcceptstringRequiredExample: application/json
Body
Querystring · enumOptional

The enumeration type to query.

Example: TXStatusPossible values:
Responses
200

Successfully returned enum records

application/json
post/APIcardProcREST/v1.0.0/Query/Enum
POST /APIcardProcREST/v1.0.0/Query/Enum HTTP/1.1
Host: easypay5.com
SessKey: A1842D663E9A4A72XXXXXXXX303541303234373138
Accept: application/json
Content-Type: application/json
Content-Length: 20

{
  "Query": "TXStatus"
}
200

Successfully returned enum records

{
  "Enum_QueryResult": {
    "EnumItems": [
      {
        "EnumText": "ALL",
        "EnumValue": -1
      }
    ],
    "ErrCode": 0,
    "ErrMsg": "",
    "FunctionOk": true,
    "RespMsg": "Successfully Returned Enum Records : 6"
  }
}

Last updated

Was this helpful?